.footer {
  background: var(--color-medium-gray);
}

.footer-top {
  padding: 3% 3% 3% 3%;
}

.footer-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  gap: 30px;
  align-items: flex-start;
}

.footer-logo {
  width: 180px;
  margin-bottom: 20px;
}

.footer-social {
  display: flex;
  align-items: center;
  gap: 4px;
}

.footer-social a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 35px;
  height: 35px;
  background: linear-gradient(90deg,var(--color-medium-blue), var(--color-medium-green));
  border-radius: 100%;
  color: var(--color-white);
  font-size: 18px;
  line-height: 1;
  margin: 0;
  transition: transform 0.3s ease, background 0.3s ease, color 0.3s ease;
  transform-origin: center center;
  transform: translateZ(0);
}

.footer-social a i {
  display: block;
  line-height: 1;
}

.footer-social a:hover {
  background: linear-gradient(90deg,var(--color-dark-blue), var(--color-dark-green));
  color: var(--color-white);
  transform: translateZ(0) scale(1.05);
}

.footer h2 {
  margin-bottom: 10px;
  color: var(--color-black);
  font-size: 20px;
  font-weight: 700;
}

.footer-list {
  list-style: none;
  color: var(--color-dark-gray);
}

.footer-list li {
  margin-bottom: 10px;
}

.footer-list li a {
  color: var(--color-dark-gray);
  font-size: 14px;
  line-height: 1.2em;
}

.footer-list li a:hover,
.footer-list li a:hover i {
  color: var(--color-black);
}

.footer-list i {
  color: var(--color-medium-blue);
  margin-right: 5px;
}

.cert-grid {
  display: flex;
  gap: 10px;
  align-items: center;
}

.cert-grid img {
  width: 70px;
  transition: transform 0.3s ease;
}

.cert-grid img:hover {
  transform: scale(1.05);
}

.footer-bottom {
  background: linear-gradient(90deg, var(--color-light-blue), var(--color-medium-blue), var(--color-medium-green), var(--color-light-green));
  padding: 10px 20px;
  text-align: center;
}

p.copyright {
  color: var(--color-white);
  font-size: 12px;
}

/* ========= TABLET (≤ 1280px) ========= */
@media (max-width: 1280px) {
.footer-grid {
  grid-template-columns: 1fr 1fr 1fr;
}
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.footer-top {
  padding: 5% 5% 5% 5%;
}

.footer-grid {
  grid-template-columns: 1fr 1fr;
  gap: 30px;
}
 
.footer-logo {
  width: 150px;
}

.footer-bottom {
  margin-top: 0px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.footer-top {
  padding: 8% 8% 8% 8%;
}

.footer-grid {
  grid-template-columns: 1fr;
  text-align: center;
}

.footer-social {
  justify-content: center;
}

.cert-grid {
  justify-content: center;
}

.footer-bottom {
  margin-top: 0px;
}
}

/*======================================*/
/* WHATSAPP & PHONE                     */
/*======================================*/
.floating-widget,
.floating-action {
  position: fixed;
  right: 10px;
  z-index: 999;
  text-decoration: none;
  color: var(--color-white);
  transition: all 0.3s ease;
  cursor: pointer;
}

.floating-widget {
  display: flex;
  align-items: center;
  gap: 10px;
  width: 230px;
  height: 40px;
  padding: 0px;
  border-radius: 50px;
  background-color: transparent;
  right: -155px;
}

.floating-widget:hover {
  right: 10px;
  box-shadow: 5px 5px 10px rgba(0,0,0,0.25);
  color: var(--color-white);
}

.floating-widget__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 65px;
  height: 65px;
  border-radius: 50%;
}

.floating-widget__icon i {
  font-size: 45px;
}

.floating-widget__text {
  font-size: 13px;
  white-space: nowrap;
}

.floating-action {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: 2px solid var(--color-white);
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 5px 5px 10px rgba(0,0,0,0.25);
}

.floating-action:hover{
    color: var(--color-white);
}

.floating-action i {
  font-size: 25px;
}

.floating-action img,
.floating-widget img{
  padding: 5px;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.floating-action--whatsapp i{
  font-size: 35px;
}

.floating-widget--whatsapp .floating-widget__icon {
  background: #25D366;
}

.floating-widget--whatsapp:hover{
  background-color: #075E54;
}

.floating-widget--whatsapp {
  bottom: 25px;
}

.floating-action--whatsapp{
  bottom: 70px;
  background: #25D366;
}

.floating-action--phone {
  bottom: 10px;
  background: linear-gradient(
    45deg,
    var(--color-medium-blue),
    var(--color-medium-green)
  );
}

.floating-widget--weather .floating-widget__icon {
  background: linear-gradient(
    45deg,
    var(--color-medium-blue),
    var(--color-dark-blue)
  );
}

.floating-widget--weather:hover {
  background: var(--color-dark-blue);
}

.floating-widget--weather {
  bottom: 95px;
}

.floating-action--weather {
  bottom: 130px;
  background: linear-gradient(
    45deg,
    var(--color-medium-blue),
    var(--color-medium-green)
  );
}

/* ========= TABLET (≤ 1024px) ========= */
/* Tablet y móvil */
@media (max-width: 1024px) {
  .floating-widget {
    display: none;
  }
}

/* Escritorio */
@media (min-width: 1025px) {
  .floating-action {
    display: none;
  }
}

/*Animaciones*/
.floating-widget--weather .floating-widget__icon {
    animation: pulse-scale 3s infinite;
}

.floating-action--weather{
    animation: bounce-float 2s infinite;
}

.floating-widget--weather:hover .floating-widget__icon,
.floating-action--weather:hover {
    animation: none;
}

/*======================================*/
/* DESTACAR BUSQUEDA                    */
/*======================================*/
.social-media {
  transition: background-color 0.4s ease;
}

.social-media.highlight{
  background: var(--color-highlight);
}

.social-media:focus {
  outline: none;
}